USB_DESCRIPTOR_FI(9)

NAME
usb_descriptor_fillbuf - fill buffer with descriptors

SYNOPSIS

int usb_descriptor_fillbuf (void * buf, unsigned buflen, const struct usb_descriptor_header ** src);

ARGUMENTS

buf Buffer to be filled

buflen
    Size of buf

src Array of descriptor pointers, terminated by null pointer.

DESCRIPTION

Copies descriptors into the buffer, returning the length or a negative error code if they can't all be copied. Useful when assembling descriptors for an associated set of interfaces used as part of configuring a composite device; or in other cases where sets of descriptors need to be marshaled.

AUTHOR
David Brownell <dbrownell@users.sourceforge.net>.